Support

Retrieve agent details

View as Markdown

Retrieves detailed information about a registered agent

GET
/v1/agents/{agentId}

Path Parameters

agentId*string

Unique identifier of the agent

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/string"
{  "agentId": "550e8400-e29b-41d4-a716-446655440000",  "agentDisplayName": "Sentiment Analyzer",  "agentDescription": "An agent that analyzes sentiment in text",  "agentHost": "myagent.example.com",  "ansName": "ans://v1.0.0.myagent.example.com",  "version": "1.0.0",  "agentStatus": "ACTIVE",  "endpoints": [    {      "agentUrl": "https://myagent.example.com/mcp",      "protocol": "MCP",      "transports": [        "STREAMABLE-HTTP"      ],      "functions": [        {          "id": "analyze_sentiment",          "name": "Analyze Sentiment",          "tags": [            "nlp",            "sentiment"          ]        }      ]    },    {      "agentUrl": "https://myagent.example.com/a2a",      "metaDataUrl": "https://myagent.example.com/.well-known/agent-card.json",      "protocol": "A2A",      "transports": [        "JSON-RPC"      ]    },    {      "agentUrl": "https://myagent.example.com/api/v1",      "protocol": "HTTP-API",      "transports": [        "REST"      ],      "documentationUrl": "https://docs.myagent.example.com/api"    }  ],  "links": [    {      "href": "https://api.godaddy.com/v1/agents/550e8400-e29b-41d4-a716-446655440000",      "rel": "self"    }  ]}

Last updated on

How is this guide?